Bug 128267 - running ldd on any 32-bit compat app reports 'not a dynamic executable'
Summary: running ldd on any 32-bit compat app reports 'not a dynamic executable'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: ia64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-20 22:50 UTC by Geoff Gustafson
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 2.3.2-95.27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 18:06:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Geoff Gustafson 2004-07-20 22:50:06 UTC
Description of problem:
On ia64, running ldd (64-bit) and passing in the path to a 32-bit
executable yields "not a dynamic executable" which is incorrect. At
least, it would be good to have a more accurate error message like
"unable to analyze cross-arch headers". As it is, it can lead you
astray thinking the exe is statically linked.

But it seems like it would be really nice to have ldd be capable of
understanding the 32-bit apps as well. Perhaps it could just detect
i386 like readelf -h does, and pass the task off to a 32-bit ldd, if
present.

Version-Release number of selected component (if applicable):
glibc-common-2.3.2-95.24 (only ia64, no i386 compat version present)


Note You need to log in before you can comment on or make changes to this bug.